Summary:	Cross-platform lobby client for the Spring RTS project
Name:		springlobby
Version:	0.19
Release:	%mkrel 2
Group:		Games/Strategy
URL:		http://springlobby.info/
Source:		http://www.springlobby.info/tarballs/springlobby-%{version}.tar.bz2
Source1:	springlobby-logo.svg
# bundled springsettings is GPLv3+
License:	GPL+ and GPLv3+
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	wxgtku2.8-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libtorrent-rasterbar-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
Requires:	spring

%description
SpringLobby is a free cross-platform lobby client for the Spring RTS
project.

This package also contains SpringSettings, a Spring configuration
tool.

%prep
%setup -q
sed -i -e 's,Exec=springlobby,Exec=%{_gamesbindir}/%{name},g' src/springlobby.desktop
sed -i -e 's,springlobby.svg,springlobby,g' src/springlobby.desktop

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-springsettings.desktop <<EOF
[Desktop Entry]
Name=SpringSettings
Comment=Configure settings of Spring
Exec=%{_gamesbindir}/springsettings
Icon=springsettings
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

install -d -m755 %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,scalable}/apps
install -m644 src/images/springlobby.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/springlobby.svg
convert src/images/springlobby.svg -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/springlobby.png
convert src/images/springlobby.svg -resize 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/springlobby.png
convert src/images/springlobby.svg -resize 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/springlobby.png
convert src/images/springsettings.xpm -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/springsettings.png
convert src/images/springsettings.xpm -resize 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/springsettings.png
convert src/images/springsettings.xpm -resize 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/springsettings.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc THANKS AUTHORS
%{_gamesbindir}/springlobby
%{_gamesbindir}/springsettings
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mandriva-springsettings.desktop
%{_iconsdir}/hicolor/*/apps/*.*
%{_datadir}/pixmaps/%{name}.svg



%changelog
* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.19-2mdv2010.0
+ Revision: 441075
- rebuild for new libtorrent-rasterbar5

* Sun Aug 23 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.19-1mdv2010.0
+ Revision: 419759
- updated to version 0.19

* Wed Aug 19 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.11-1mdv2010.0
+ Revision: 418157
- release 0.11

* Mon Jul 13 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-1mdv2010.0
+ Revision: 395624
- update to 0.3
- New version 0.3

* Mon Jun 08 2009 Oden Eriksson <oeriksson@mandriva.com> 0.0.1.10467-2mdv2010.0
+ Revision: 383889
- rebuilt against libtorrent-rasterbar.so.4

* Tue May 26 2009 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10467-1mdv2010.0
+ Revision: 379790
- new release 0.0.1.10467

* Sat Apr 11 2009 Anssi Hannula <anssi@mandriva.org> 0.0.1.10446-1mdv2009.1
+ Revision: 366433
- new version (fixes #49522)
- buildrequires boost-devel explicitely

* Thu Mar 26 2009 Funda Wang <fundawang@mandriva.org> 0.0.1.10398-3mdv2009.1
+ Revision: 361300
- rebuild for new boost

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.1.10398-2mdv2009.1
+ Revision: 354303
- rebuild for new boost

* Sun Feb 15 2009 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10398-1mdv2009.1
+ Revision: 340433
- new release 0.0.1.10398

* Mon Jan 12 2009 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10381-1mdv2009.1
+ Revision: 328463
- drop all patches (merged upstream)
- new release 0.0.1.10381

* Sun Dec 21 2008 Funda Wang <fundawang@mandriva.org> 0.0.1.10367-7mdv2009.1
+ Revision: 316921
- rebuild for new boost

* Sat Dec 20 2008 Funda Wang <fundawang@mandriva.org> 0.0.1.10367-6mdv2009.1
+ Revision: 316584
- rebuild for new boost

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-5mdv2009.1
+ Revision: 314430
- build with the torrent-based download module, against libtorrent-rasterbar
- add libtorrent14.patch (from upstream developer) to fix build with libtorrent
  0.14.1

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-4mdv2009.1
+ Revision: 314384
- drop default_springdir.patch, according to upstream it's no longer needed,
  DEFSETT_SPRING_DIR is no longer used anywhere

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-3mdv2009.1
+ Revision: 314381
- add savesettings.patch (from upstream developer, fix a bug with the spring
  version detection)

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-2mdv2009.1
+ Revision: 314356
- add create_basedir.patch: create ~/.spring/base when downloading OTA contet
  if it doesn't already exist

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-1mdv2009.1
+ Revision: 314124
- buildrequires desktop-file-utils
- complete dropping the patch
- adjust the file list
- now has translations
- fd.o icons, build the main ones from svg (works fine with imagemagick now)
- add --disable-torrent-system parameter for configure as we have no system
  libtorrent-rasterbar
- upstream now provides a menu entry, but it's broken: fix it up
- buildrequire necessary SDL libs
- specifically require version 2.8 of wxgtk
- rediff default_springdir.patch
- drop wx2.6-warning.patch (no longer needed, app correctly tests)
- drop unnecessary defines
- new release 0.0.1.10367

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.0.1.0735-1mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Jan 05 2008 Anssi Hannula <anssi@mandriva.org> 0.0.1.0735-1mdv2008.1
+ Revision: 145682
- initial Mandriva release

